On Monday 24 April 2006 20:43, Ian Moore wrote:
> Hi, I've got a question about portupgrade and something that's happened
> with it a couple of times now. The last 2 times libgda has been upgraded,
> I've run portupgrade -a to upgrade a bunch of ports, including libgda.
>
Sorry, I forgot to add the output of the portupgrade sessions:

The first time it happened:
--->  Upgrading 'libgda2-1.9.100_2' to 'libgda3-1.9.102' (databases/libgda3)
--->  Building '/usr/ports/databases/libgda3'
===>  Cleaning for gmake-3.80_2
===>  Cleaning for intltool-0.34.2
===>  Cleaning for pkgconfig-0.20
===>  Cleaning for popt-1.7_1
===>  Cleaning for gettext-0.14.5_2
===>  Cleaning for mysql-client-4.0.26_1
===>  Cleaning for glib-2.8.6_1
===>  Cleaning for libxml2-2.6.23_1
===>  Cleaning for libxslt-1.1.15_1
===>  Cleaning for xorg-libraries-6.9.0
===>  Cleaning for gnomehier-2.0_7
===>  Cleaning for perl-5.8.8
===>  Cleaning for p5-XML-Parser-2.34_2
===>  Cleaning for libiconv-1.9.2_2
===>  Cleaning for libtool-1.5.22_2
===>  Cleaning for ldconfig_compat-1.0_6
===>  Cleaning for libgcrypt-1.2.2
===>  Cleaning for imake-6.9.0
===>  Cleaning for libdrm-2.0_1
===>  Cleaning for freetype2-2.1.10_3
===>  Cleaning for fontconfig-2.3.2_3,1
===>  Cleaning for expat-2.0.0_1
===>  Cleaning for libgpg-error-1.1
===>  Cleaning for libgda3-1.9.102
You can enable support for LDAP databases by defining WITH_LDAP.
You can enable support for TDS databases by defining WITH_FREETDS.
You can enable support for Sybase databases by defining WITH_SYBASE.
You can enable support for MDB databases by defining WITH_MDB.
You can enable support for ODBC databases by defining WITH_ODBC.
You can enable support for SQLITE databases by defining WITH_SQLITE.
===>  Extracting for libgda3-1.9.102
=> MD5 Checksum OK for gnome2/libgda-1.9.102.tar.bz2.
===>  Patching for libgda3-1.9.102
===>  Applying FreeBSD patches for libgda3-1.9.102
===>   libgda3-1.9.102 depends on executable: gmake - found
===>   libgda3-1.9.102 depends on file: /usr/local/bin/intltool-extract - 
found
===>   libgda3-1.9.102 depends on executable: pkg-config - found
===>   libgda3-1.9.102 depends on shared library: popt.0 - found
===>   libgda3-1.9.102 depends on shared library: intl - found
===>   libgda3-1.9.102 depends on shared library: mysqlclient.12 - not found
===>    Verifying install for mysqlclient.12 
in /usr/ports/databases/mysql40-client
===>  Extracting for mysql-client-4.0.26_1
=> MD5 Checksum OK for mysql-4.0.26.tar.gz.
===>  Patching for mysql-client-4.0.26_1
===>  Applying FreeBSD patches for mysql-client-4.0.26_1
===>   mysql-client-4.0.26_1 depends on file: /usr/local/bin/libtool - found
===>  Configuring for mysql-client-4.0.26_1
checking build system type... i386-portbld-freebsd5.4
checking host system type... i386-portbld-freebsd5.4

<snip>

/bin/mv mysqlshow.1-t mysqlshow.1
===>  Installing for mysql-client-4.0.26_1
===>   mysql-client-4.0.26_1 depends on file: /usr/local/libdata/ldconfig - 
found
===>   Generating temporary packing list
===>  Checking if databases/mysql40-client already installed
===>   mysql-client-4.0.26_1 is already installed
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of databases/mysql40-client
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** Error code 1


And the second time (sorry, I only have the last part)
/bin/mv mysqlshow.1-t mysqlshow.1
===>  Installing for mysql-client-4.0.26_1
===>   mysql-client-4.0.26_1 depends on file: /usr/local/libdata/ldconfig - 
foun
d
===>   Generating temporary packing list
===>  Checking if databases/mysql40-client already installed
===>   mysql-client-4.0.26_1 is already installed
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of databases/mysql40-client
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.

-- 
Ian
gpg key: http://home.swiftdsl.com.au/~imoore/no-spam.asc

Attachment: pgp8fdpUwrPMz.pgp
Description: PGP signature

Reply via email to